Module | YARD::Templates::Template::ClassMethods
In: | lib/yard/templates/template.rb

### Methods

S T find_file find_nth_file full_paths is_a? new new run

### Included Modules

Engine Engine Engine

### Attributes

full_path | [RW] |
path | [RW] |

### Public Class methods

new(path, full_paths)

### Public Instance methods

S(*args)

Alias for creating a {Section} with arguments @see Section#initialize @since 0.6.0

T(*path)
find_file(basename)

Searches for a file identified by `basename` in the template‘s path as well as any mixed in template paths. Equivalent to calling {ClassMethods#find_nth_file} with index of 1.

@param [String] basename the filename to search for @return [String] the full path of a file on disk with filename

      +basename+ in one of the template's paths.

@see find_nth_file

find_nth_file(basename, index = 1)

Searches for the nth file (where n = `index`) identified by basename in the template‘s path and any mixed in template paths.

@param [String] basename the filename to search for @param [Fixnum] index the nth existing file to return @return [String] the full path of the nth file on disk with

      filename +basename+ in one of the template paths

full_paths()
is_a?(klass)
new(*args)

Creates a new template object to be rendered with {Template#run}

run(*args)

[Validate]